Bug 625240 - dighost.c.next_server_on_referral patch breaks dig functionality
dighost.c.next_server_on_referral patch breaks dig functionality
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.5
All Linux
low Severity high
: rc
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 19:02 EDT by Kelsey Cummings
Modified: 2012-07-11 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
previously, the dig utility incorrectly performed recursive resolution when it received responses with referral. With this update, dig does not anymore attempt to recourse.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kelsey Cummings 2010-08-18 19:02:49 EDT
Description of problem:

The dighost.c.next_server_on_referral breaks core functionality of dig.  Dig is a troubleshooting tool and SHOULD NOT attempt to recurse unless asked to.  This patch unnecessarily alters the behavior of a 3rd party tool that has well established and expected behavior as well as apparently doing so incorrectly.

Version-Release number of selected component (if applicable):

bind-utils-9.3.6-4.P1.el5_4.2

How reproducible:

Very.

Steps to Reproduce:
1.  dig microshaft.org @b0.org.afilias-nst.org
  
Actual results:

#  dig microshaft.org @b0.org.afilias-nst.org
;; Got referral reply from 199.19.54.1, trying next server

; <<>> DiG 9.3.6-P1-RedHat-9.3.6-4.P1.el5_4.2 <<>> microshaft.org @b0.org.afilias-nst.org
;; global options:  printcmd
;; connection timed out; no servers could be reached


Expected results:

$  dig microshaft.org @b0.org.afilias-nst.org

; <<>> DiG 9.4.2-P2 <<>> microshaft.org @b0.org.afilias-nst.org
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 5510
;; flags: qr rd; QUERY: 1, ANSWER: 0, AUTHORITY: 3, ADDITIONAL: 0
;; WARNING: recursion requested but not available

;; QUESTION SECTION:
;microshaft.org.                        IN      A

;; AUTHORITY SECTION:
microshaft.org.         86400   IN      NS      a.auth-ns.sonic.net.
microshaft.org.         86400   IN      NS      b.auth-ns.sonic.net.
microshaft.org.         86400   IN      NS      c.auth-ns.sonic.net.

;; Query time: 84 msec
;; SERVER: 199.19.54.1#53(199.19.54.1)
;; WHEN: Wed Aug 18 15:41:22 2010
;; MSG SIZE  rcvd: 97

Additional info:

Adding '-4' to force v4 only DNS requests cause dig to return the expected results.

; <<>> DiG 9.3.6-P1-RedHat-9.3.6-4.P1.el5_4.2 <<>> -4 microshaft.org @b0.org.afilias-nst.org
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 64267
;; flags: qr rd; QUERY: 1, ANSWER: 0, AUTHORITY: 3, ADDITIONAL: 0

;; QUESTION SECTION:
;microshaft.org.                        IN      A

;; AUTHORITY SECTION:
microshaft.org.         86400   IN      NS      c.auth-ns.sonic.net.
microshaft.org.         86400   IN      NS      b.auth-ns.sonic.net.
microshaft.org.         86400   IN      NS      a.auth-ns.sonic.net.

;; Query time: 83 msec
;; SERVER: 199.19.54.1#53(199.19.54.1)
;; WHEN: Wed Aug 18 15:42:29 2010
;; MSG SIZE  rcvd: 97

Also behaves as expected under 4.x
Comment 4 Florian Nadge 2010-10-11 09:53:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
previously, the dig utility incorrectly performed recursive resolution when it received responses with referral. With this update, dig does not anymore attempt to recourse.
Comment 9 Martin Cermak 2010-11-04 10:29:18 EDT
=> VERIFIED
Comment 12 errata-xmlrpc 2011-01-13 17:26:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0032.html

Note You need to log in before you can comment on or make changes to this bug.